<% /*
     $Revision$
     $Id$

    File:               afdelingFilter.inc
    Description:        functies voor afdeling suggest velden
    Globals:
    Context:
    Note:
*/ %>


<%

function getFiltClauseAfdeling(pfiltcode)
{
  var lfiltClause = "";
  // pfiltcode kan meerdere filtcodes bevatten (waarden gescheiden door een komma)
  pfiltcode = (pfiltcode||"").split(",");
  if (pfiltcode.length > 0)
  {
    for (var i = 0; i < pfiltcode.length; i++)
    {
      if (pfiltcode[i] != "")
      {
        switch(pfiltcode[i])
        {
          case 'A':   // Alleen afdelingen die personen bevatten
                      lfiltClause += " AND d.prs_afdeling_key IN (SELECT p.prs_afdeling_key FROM prs_v_aanwezigperslid p)";
                      break;
          case 'P':
          case '1':   lfiltClause += " AND d.prs_afdeling_parentkey IS NULL";
                      break;
          case '2':   lfiltClause += " AND d.niveau = 2";
                      break;
          case '3':   lfiltClause += " AND d.niveau = 3";
                      break;
          case '4':   lfiltClause += " AND d.niveau = 4";
                      break;
          case '5':   lfiltClause += " AND d.niveau = 5";
                      break;
          case 'CNT': lfiltClause += " AND d.prs_afdeling_key IN (SELECT prs_afdeling_key_eig FROM cnt_contract)";
                      break;
          case 'AR':  lfiltClause += " AND d.prs_afdeling_key IN (SELECT prs_afdeling_key FROM prs_ruimteafdeling WHERE prs_ruimteafdeling_verwijder IS NULL)";
                      break;                      
        }
      }
    }
  }
  return lfiltClause;
}
%>
